<br>
Operating System / Software
<br>

<br>
* OS Required Microsoft Windows 7 , Microsoft Windows Vista , Apple MacOS X 10.5.8 or later , Microsoft Windows XP SP3 or later

Originally posted 2011-01-10 19:46:42. Republished by Blog Post Promoter